Skip to main content
PATCH
/
v1
/
businesses
/
{businessId}
/
custom-accounts
/
{customAccountId}
Patch custom account
curl --request PATCH \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "ww9wwLgkrbU3jkg3J4J7ckBR3zKQV6sLPQevK",
  "mask": "4321",
  "account_name": "My custom account",
  "institution_name": "My custom account institution",
  "account_type": "DEPOSITORY",
  "account_subtype": "checking"
}
'
{
  "data": {
    "type": "Custom_Account",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "ww9wwLgkrbU3jkg3J4J7ckBR3zKQV6sLPQevK",
    "mask": "4321",
    "account_name": "My custom account",
    "institution_name": "My custom account institution",
    "account_type": "DEPOSITORY",
    "account_subtype": "checking",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "archived_at": "2023-11-07T05:31:56Z",
    "ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business to update custom account for.

customAccountId
string
required

The UUID of the custom account to update.

Body

application/json
external_id
string

Unique ID of the custom account in an external system for linking and idempotency.

Example:

"ww9wwLgkrbU3jkg3J4J7ckBR3zKQV6sLPQevK"

mask
string

Last 4 digits of the custom account number.

Example:

"4321"

account_name
string

Name of the custom account.

Example:

"My custom account"

institution_name
string

Name of the institution for the custom account.

Example:

"My custom account institution"

account_type
enum<string> | null

The type of the custom account.

Available options:
DEPOSITORY,
CREDIT,
LOAN
Example:

"DEPOSITORY"

account_subtype
enum<string> | null

The subtype of the custom account.

Available options:
CHECKING,
SAVINGS,
CREDIT CARD,
LOAN
Example:

"checking"

Response

data
object
required